Subject: Re: [PATCH v2 net-next 03/15] ipv6: addrconf_disable_ipv6() optimizations

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Feb 2024 07:11:42 -0800

On Wed, 28 Feb 2024 10:28:28 +0100 Eric Dumazet wrote:
> > Good catch, I simply misread the line.  
> 
> I note that addrconf_disable_policy() does not have a similar write.
> 
> When writing on net->ipv6.devconf_all->disable_policy, we loop over all idev
> to call addrconf_disable_policy_idev(),
> but we do _not_ change net->ipv6.devconf_dflt->disable_policy
> 
> This seems quite strange we change net->ipv6.devconf_dflt->disable_ipv6 when
> user only wanted to change net->ipv6.devconf_all->disable_policy

The all / default behavior is a complete mess, I don't mind changing!
I commented because there was a flake in TCP-AO tests and I was trying
to find any functional changes :)